---
# usage: ./PHAD02.sh socle_krb_backend_inst_pkg.yml --check
# usage: IHAD01.sh socle_krb_backend_inst_pkg.yml --check


- name: Installs Kerberos, ldap system packages and schemas
  hosts:
    - Krb5kdc
#    - phadlx699

  become: true

  vars:
    - ldap_base_dn: "dc=haas,dc=socgen"

  vars_prompt:
    - name: ldap_manager_passwd
      prompt: "ldap manager passwd (existing passwd for cn=Manager,...) "

  tasks:

    - name: "include vars"
      include_vars:
        file: "{{ item }}"
      with_items:
        - "{{ inventory_dir }}/../roles/socle_openldap_server/vars/main.yml"
        - "{{ inventory_dir }}/../roles/socle_openldap_server/defaults/main.yml"

    - name: kerberos - Install packages
      yum:
        name: "{{ item }}"
        state: latest
      with_items:
        - krb5-server-ldap

    - name: Kerberos - Copy Kerberos Schema
      copy:
        src: "{{ openldap_kerberos_schema_src_dir }}/{{ openldap_kerberos_schema_name }}"
        dest: "{{ openldap_default_schema_dir }}/"
        owner: ldap
        group: ldap
        mode: 0440
        remote_src: True

    - name: Kerberos - Import Schemas
      include: "{{ inventory_dir }}/../roles/socle_openldap_server/tasks/tool_ldapadd.yml"
      vars:
        openldap_tool_ldapadd_sourcetype: "file"
        openldap_tool_ldapadd_src: "{{ inventory_dir }}/../roles/socle_openldap_server/files/{{ openldap_kerberos_ldif }}"
        openldap_tool_ldapadd_dst: "{{ openldap_kerberos_dst }}"

    - name: Kerberos - Add Index
      include: "{{ inventory_dir }}/../roles/socle_openldap_server/tasks/tool_ldapmodify.yml"
      vars:
        openldap_tool_ldapmodify_sourcetype: "template"
        openldap_tool_ldapmodify_src: "{{ inventory_dir }}/../roles/socle_openldap_server/templates/{{ openldap_tools_addindex_template }}"
        openldap_tool_ldapmodify_dst: "{{ openldap_tools_addindex_dst }}"
        tool_addindex_index: "{{ openldap_kerberos_index }}"
        openldap_kerberos_bind_manager_password: "{{ ldap_manager_passwd }}"
        openldap_database_type: "{{ openldap_database_type_override }}"
        openldap_acl_grp_ldap_attr: "{{ openldap_acl_grp_ldap_attr_override }}"
        openldap_acl_app_subtree: "{{ openldap_acl_app_subtree_override }}"

